## perftest 1.2-OFED

=== Makefile ===
TESTS = write_bw_postlist rdma_lat rdma_bw send_lat send_bw write_lat write_bw read_lat read_bw
UTILS = clock_test

all: ${TESTS} ${UTILS}

CFLAGS += -Wall -g -D_GNU_SOURCE -O2
EXTRA_FILES = get_clock.c
EXTRA_HEADERS = get_clock.h
#The following seems to help GNU make on some platforms
LOADLIBES += 
LDFLAGS +=

${TESTS}: LOADLIBES += -libverbs -lrdmacm

${TESTS} ${UTILS}: %: %.c ${EXTRA_FILES} ${EXTRA_HEADERS}
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $< ${EXTRA_FILES} $(LOADLIBES) $(LDLIBS) -o ib_$@
clean:
	$(foreach fname,${TESTS} ${UTILS}, rm -f ib_${fname})
.DELETE_ON_ERROR:
.PHONY: all clean

## perftest 2.3+0.12.gcb5b746

=== debian/changelog ===
perftest (2.3+0.12.gcb5b746-1) unstable; urgency=medium

  * New upstream release: 2.3-0.12.gcb5b746
  * Add support for ppc64el. Thanks to Breno Leitao. (Closes: #751792)
  * Remove README.Debian and just adapt the version string from upstream to
    Debian.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 04 Sep 2014 14:08:17 +0200

perftest (2.2.0.19-1) unstable; urgency=medium

  * New upstream release: 2.2-0.19.g1fec59d
  * Add README.Debian with information about versioning and repackaging
    upstream tarball.
  * Switch packaging to dh and Source format 3.0.
  * Update build-depends, add libibumad-dev.
  * Clean the Depends line of perftest, the deps are added automatically
    by debhelper.
  * Remove all current Uploaders, they're welcome back anytime.
    Add myself to Uploaders
  * Update homepage.
  * Update Standards-Version to 3.9.5, no changes required.
  * Add fields Vcs-Browser/Vcs-Git.
  * Add watch file.
  * Update manages shipped, remove those that are a placeholder.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 03 Jul 2014 14:20:30 +0200

perftest (1.2-OFED-1.4.2-2) unstable; urgency=low

  * FTBFS: get_clock.h:76:23: error: asm/timex.h: No such file or
    directory (Closes: #560264)

 -- Benoit Mortier <benoit.mortier@opensides.be>  Mon, 21 Dec 2009 00:14:15 +0100

perftest (1.2-OFED-1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #539829)

 -- Benoit Mortier <benoit.mortier@opensides.be>  Wed, 21 Oct 2009 11:32:00 +0100

=== debian/control ===
Source: perftest
Section: net
Priority: extra
Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 9), libibumad-dev, libibverbs-dev (>= 1.1.2), librdmacm-dev (>=1.0.8)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ofed/perftest.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/perftest.git
Homepage: https://www.openfabrics.org/downloads/perftest/

Package: perftest
Architecture: i386 ia64 amd64 powerpc ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Infiniband verbs performance tests
 This is a collection of tests written using Infiniband verbs intended for
 use as a performance micro-benchmark. The tests can measure the latency
 and bandwidth of Infiniband fabrics.

=== debian/watch ===
# watch control file for uscan
version=3

https://www.openfabrics.org/downloads/perftest/perftest-(.*)\.(?:tar.gz|tar.bz2|tar.xz)

## perftest 3.0+0.16.gb2f2e82

=== debian/changelog ===
perftest (3.0+0.16.gb2f2e82-2) unstable; urgency=medium

  * Set Architecture field to linux-any. (Closes:#814537)
  * Add patch to fix building on s390x. (Closes:#814547)
    Thanks to dann frazier.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 13 Feb 2016 15:31:28 +0100

perftest (3.0+0.16.gb2f2e82-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.0-0.16.gb2f2e82
  * Add patch to fix spelling errors in binaries.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 31 Dec 2015 11:04:49 +0100

perftest (3.0+0.9.g214990b-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 21 Jul 2015 18:24:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 9), libibumad-dev, libibverbs-dev (>= 1.1.2), librdmacm-dev (>=1.0.8)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ofed/perftest.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/perftest.git
 Homepage: https://www.openfabrics.org/downloads/perftest/
 
 Package: perftest
-Architecture: i386 ia64 amd64 powerpc ppc64el
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Infiniband verbs performance tests
  This is a collection of tests written using Infiniband verbs intended for

## perftest 3.0+0.18.gb464d59

=== debian/changelog ===
perftest (3.0+0.18.gb464d59-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 3.9.7, no changes required.
  * Update Vcs-Browser to use HTTPS.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 Mar 2016 09:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 9), libibumad-dev, libibverbs-dev (>= 1.1.2), librdmacm-dev (>=1.0.8)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-ofed/perftest.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/perftest.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ofed/perftest.git
 Homepage: https://www.openfabrics.org/downloads/perftest/
 
 Package: perftest

## perftest 3.4+0.6.gc3435c2

=== debian/changelog ===
perftest (3.4+0.6.gc3435c2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Refresh patches
  * Fix spelling availible -> available

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 02 Jan 2017 13:52:27 +0100

perftest (3.0+3.2.g8ade541-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches
  * Drop debian/dirs (not needed)
  * Run autoreconf on build
  * Point Vcs-* fields to HTTPS URLs
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Fix spelling destory -> destroy
  * Enable hardening and fix ignorance of CFLAGS

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 22 Aug 2016 11:58:05 +0200

=== debian/control ===
Source: perftest
Section: net
Priority: extra
Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libibumad-dev,
               libibverbs-dev (>= 1.1.2),
               librdmacm-dev (>= 1.0.8)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ofed/perftest.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ofed/perftest.git
Homepage: https://www.openfabrics.org/downloads/perftest/

Package: perftest
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Infiniband verbs performance tests
 This is a collection of tests written using Infiniband verbs intended for
 use as a performance micro-benchmark. The tests can measure the latency
 and bandwidth of Infiniband fabrics.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/+/" \
https://openfabrics.org/downloads/perftest/perftest-(.*)\.(?:tar.gz|tar.bz2|tar.xz)

## perftest 4.1+0.2.g770623f

=== debian/changelog ===
perftest (4.1+0.2.g770623f-1) unstable; urgency=medium

  * New upstream release (Closes: #873089)
  * Take perftest under the wing of Debian HPC Team
  * Remove Ana Beatriz Guerrero Lopez from uploaders and add myself.
    Thanks Ana for all your work!
  * Update debian/watch and homepage URL to point to GitHub
  * Refresh patches
  * Raise priority to optional (priority extra is gone)
  * Bump Standards-Version to 4.1.2
  * Use bash for run_perftest_multi_devices (it uses bashisms)
  * Point Vcs-* URLs to salsa.debian.org
  * Update debian/copyright (use copyright format 1.0)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 27 Dec 2017 14:35:45 +0100

=== debian/control ===
Source: perftest
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Benjamin Drung <benjamin.drung@profitbricks.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libibumad-dev,
               libibverbs-dev (>= 1.1.2),
               librdmacm-dev (>= 1.0.8)
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git
Vcs-Browser: https://salsa.debian.org/hpc-team/perftest
Homepage: https://github.com/linux-rdma/perftest

Package: perftest
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Infiniband verbs performance tests
 This is a collection of tests written using Infiniband verbs intended for
 use as a performance micro-benchmark. The tests can measure the latency
 and bandwidth of Infiniband fabrics.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/+/" \
https://github.com/linux-rdma/perftest/releases (?:.*?/)?perftest-(\d[-.0-9a-g]*)\.tar\.(?:gz|bz2|xz)

## perftest 4.4

=== debian/changelog ===
perftest (4.4-0.5~1ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Nov 2018 15:15:02 +0100

## perftest 4.4%2B0.37

=== debian/changelog ===
perftest (4.4+0.37-1) unstable; urgency=medium

  * New upstream release

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 29 Jan 2021 11:14:48 +0100

perftest (4.4+0.36-1) unstable; urgency=medium

  * New upstream release

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 04 Jan 2021 17:00:11 +0100

perftest (4.4+0.32-1) unstable; urgency=medium

  * New upstream release. (Closes: #975125)
  * Switch to debhelper 13
  * Bump Standards-Version to 4.5.1
  * Add upstream metadata file

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 01 Dec 2020 12:10:46 +0100

perftest (4.4+0.29-1) unstable; urgency=medium

  [ Amir Tzin ]
  * New upstream release:
    - Closes: #957673, #962455.
    - Dropped all existing patches.

  [ Tzafrir Cohen ]
  * RulesRequireRoot: no
  * Standards-Version 4.5.0 (no change required)
  * Build-depend on pciutils

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 25 Aug 2020 22:00:13 +0300

perftest (4.4+0.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that were accepted upstream.
  * Switch to debhelper 12
  * Bump Standards-Version to 4.3.0 (no changes required)
  * Do not hard code location of netinet/ip.h.
    Thanks to Helmut Grohne for the patch. (Closes: #911489)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 31 Jan 2019 22:37:32 +0100

## perftest 4.4+0.5

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Benjamin Drung <benjamin.drung@profitbricks.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>
+Build-Depends: debhelper-compat (= 12),
                libibumad-dev,
                libibverbs-dev (>= 1.1.2),
                librdmacm-dev (>= 1.0.8)
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/perftest
 Homepage: https://github.com/linux-rdma/perftest

=== debian/watch ===
version=3
opts="uversionmangle=s/-/+/" \
https://github.com/linux-rdma/perftest/releases (?:.*?/)?perftest-(\d[-.0-9]*)(?:\.g[0-9a-f]+)?\.tar\.(?:gz|bz2|xz)

## perftest 4.4+0.29

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>
+Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>,
+ Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libibumad-dev,
                libibverbs-dev (>= 1.1.2),
+               pciutils,
                librdmacm-dev (>= 1.0.8)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/perftest
 Homepage: https://github.com/linux-rdma/perftest
+Rules-Requires-Root: no
 
 Package: perftest
 Architecture: linux-any

## perftest 4.4+0.37

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>,
- Tzafrir Cohen <tzafrir@debian.org>
-Build-Depends: debhelper-compat (= 12),
+           Tzafrir Cohen <tzafrir@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libibumad-dev,
                libibverbs-dev (>= 1.1.2),
-               pciutils,
-               librdmacm-dev (>= 1.0.8)
-Standards-Version: 4.5.0
+               librdmacm-dev (>= 1.0.8),
+               pciutils
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/perftest
 Homepage: https://github.com/linux-rdma/perftest

=== debian/watch ===
version=4
opts="uversionmangle=s/-/+/" \
https://github.com/linux-rdma/perftest/releases (?:.*?/)?perftest-(\d[-.0-9]*)(?:\.g[0-9a-f]+)?\.tar\.(?:gz|bz2|xz)

## perftest 4.5+0.17

=== debian/changelog ===
perftest (4.5+0.17-1) unstable; urgency=medium

  [ Talat Batheesh ]
  * New upstream release
  * Remove generated config.log
  * Add build dependency on libpci-dev

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 15 Aug 2022 15:45:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>,
-           Tzafrir Cohen <tzafrir@debian.org>
+Uploaders: Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libibumad-dev,
                libibverbs-dev (>= 1.1.2),
                librdmacm-dev (>= 1.0.8),
+               libpci-dev,
                pciutils
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git

## perftest 24.01.0+0.38

=== debian/changelog ===
perftest (24.01.0+0.38-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:05 +1100

perftest (24.01.0+0.38-1build1) noble; urgency=medium

  * No-change rebuild against librdmacm1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:13:01 +0000

perftest (24.01.0+0.38-1) unstable; urgency=medium

  * New upstream version and versioning schema (year.month).
    - Upstream man pages revised (Closes: #1054920).
  * man_page.patch: Fix syntax of man page
  * Remove maintainer man pages
  * Newer standards version: 4.6.2

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 20 Feb 2024 01:01:14 +0200

perftest (4.5+0.18-1) unstable; urgency=medium

  * New upstream release
  * Add run_perftest_loopback.patch

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 12 Dec 2022 11:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: perftest
 Section: net
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libibumad-dev,
@@ -9,7 +10,7 @@
                librdmacm-dev (>= 1.0.8),
                libpci-dev,
                pciutils
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/perftest
 Homepage: https://github.com/linux-rdma/perftest

=== debian/watch ===
version=4
opts="uversionmangle=s/-/+/, searchmode=plain" \
    https://api.github.com/repos/linux-rdma/perftest/releases \
    https://github.com/linux-rdma/perftest/releases/download/([0-9.-]+)/perftest-[0-9a-g.-]+\.tar\.gz

## perftest 25.01.0%2B0.80

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: perftest
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libibumad-dev,
@@ -10,7 +9,7 @@
                librdmacm-dev (>= 1.0.8),
                libpci-dev,
                pciutils
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/hpc-team/perftest.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/perftest
 Homepage: https://github.com/linux-rdma/perftest

## perftest 25.01.0+0.80

=== debian/changelog ===
perftest (25.01.0+0.80-1) unstable; urgency=medium

  * New upstream release (Closes: #1069808, #1064538).
    - Dropped run_perftest_loopback.patch and man_page.patch - merged
      upstream.
  * clean leftover man page symlinks
  * Remove unneeded dependency on dh-autoreconf (lintian)
  * Update copyrights file

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 05 Mar 2025 01:46:57 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	dh_auto_clean -- ACLOCAL=aclocal
